package mmorpho;

import ij.IJ;
/**
 * 
 */

/**
 * Useful methods that I call in many classes
 * @author dprodanov
 *
 */
public class MTools {
	
	/* validates the input value
     * only n/2 floats are accepted
     */
    public static boolean validate( float var, int k){
        float a=k*var;
        int b=(int) (k* var);
        // IJ.log(IJ.d2s(a-b));
        if ((a-b==0)||(var<0))
            return true;
        else return false;
    }
    
    /** Logs array of float
     * @param arr the array
     */
    public static void Log(float[][] a){
        String aStr="";
        // int w=(int) Math.sqrt(a.length);
        int h=a.length;
        for (int i=0;i<h;i++) {
            for (int j=0; j<a[i].length;j++){
                aStr+=a[i][j]+"  ";
            }
            IJ.log(aStr);
            aStr="";
        }
        
    }
    
    /** Logs array of short
     * @param arr the array
     */
    public static void Log(short[][] a){
        String aStr="";
        // int w=(int) Math.sqrt(a.length);
        int h=a.length;
        for (int i=0;i<h;i++) {
            for (int j=0; j<a[i].length;j++){
                aStr+=a[i][j]+"  ";
            }
            IJ.log(aStr);
            aStr="";
        }
        
    }
    
    /** Logs array
     * @param arr the array
     */
    public static void Log(int[][] a){
        String aStr="";
        // int w=(int) Math.sqrt(a.length);
        int h=a.length;
        for (int i=0;i<h;i++) {
            for (int j=0; j<a[i].length;j++){
                aStr+=a[i][j]+"  ";
            }
            IJ.log(aStr);
            aStr="";
        }
        
    }

}
